Hi,

I inherited a FreeBSD 4.8 box that had a lot of out of date ports on it. in
trying to fix some of this, i seem to have screwed up the package or 
ports system in a way i cant manage to fix.

For example if i try to run "portversion" i get:

  undefined method `each' for nil:NilClass
  /usr/local/sbin/portversion:239: [BUG] Bus Error

from Ruby (ruby 1.8.5 is up to date on the system).

If i try to run "pkg_info" I quickly get:

  pkg_info: read_plist: bad command '@conflicts apache+ipv6-1.*'

(i googled for similar problems and there were a few other reports
of this, with other packages, but no suggestion of how to fix them.)

If i try to rebuild my ports index, I get

  gnopernicus-0.12.0: "/usr/ports/accessibility/gnome-speech" non-existent -- 
  dependency list incomplete"

and nothing will go further.

How can i get all of this sorted? i was really hoping to be able to update
most of this sytem but now i cant even get started to find out what needs it :-(

Jen

                
---------------------------------
 All-new Yahoo! Mail - Fire up a more powerful email and get things done faster.
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to